{{ if .IsHome }}
  {{ $.Scratch.Set "title" .Site.Title }}
  {{ if .Site.Params.subtitle }}{{ $.Scratch.Set "subtitle" .Site.Params.subtitle }}{{ end }}
  {{ if .Site.Params.bigimg }}{{ $.Scratch.Set "bigimg" .Site.Params.bigimg }}{{ end }}
{{ else }}
  {{ $.Scratch.Set "title" .Title }}
  {{ if .Params.subtitle }}{{ $.Scratch.Set "subtitle" .Params.subtitle }}{{ end }}
  {{ if .Params.bigimg }}{{ $.Scratch.Set "bigimg" .Params.bigimg }}{{ end }}
{{ end }}
{{ $bigimg := $.Scratch.Get "bigimg" }}

{{ if or $bigimg ($.Scratch.Get "title") }}
  {{ if $bigimg }}
    <div id="header-big-imgs" data-num-img={{len $bigimg}} {{range $i, $img := $bigimg}}data-img-src-{{add $i 1}}="{{$img.src | absURL }}" {{ if $img.desc}}data-img-desc-{{add $i 1}}="{{$img.desc}}"{{end}}{{end}}></div>
  {{ end }}

  
  <!-- JWD - Homepage header -->
  {{ if .IsHome }}
  <header class="header-section homeHeader">
  <div class="container">
  <img src="{{ "images/ApertisLogo-Tall.svg" | absURL }}" title="Apertis" alt="Apertis" />
  <h1>Collaborative OS platform for products</h1>
  </div>
  </header>
  {{ else }}
  <!-- end of JWD - Homepage header -->
  
  <!-- JWD - Added if not home condition -->
  <!-- JWD - Added dynamic status parameter value as class to header bar -->
  <header class="header-section {{ if $bigimg }}has-img{{ end }} status_{{ .Params.status }}">
  

    {{ if $bigimg }}
      <div class="intro-header big-img">
        {{ $subtitle := $.Scratch.Get "subtitle" }}
        <div class="container">
          <div class="row">
            <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
              <div class="page-heading">
                <h1>{{ with $.Scratch.Get "title" }}{{.}}{{ else }}<br/>{{ end }}</h1>
                  {{ if $subtitle }}
                    {{ if eq .Type "page" }}
                      <hr class="small">
                      <span class="{{ .Type }}-subheading">{{ $subtitle }}</span>
                    {{ else }}
                      <h2 class="{{ .Type }}-subheading">{{ $subtitle }}</h2>
                    {{ end }}
                  {{ end }}
                  {{ if eq .Type "post" }}
                    {{ partial "post_meta.html" . }}
                  {{ end }}
              </div>
            </div>
          </div>
        </div>
        <span class="img-desc" style="display: inline;"></span>
      </div>
    {{end}}
    <div class="intro-header no-img">
      {{ $subtitle := $.Scratch.Get "subtitle" }}
      <div class="container">
        <div class="row">
          <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
            <div class="page-heading">
              <h1>{{ with $.Scratch.Get "title" }}{{.}}{{ else }}<br/>{{ end }}</h1>
              
<!-- JWD - Custom last updated -->
{{ $date := .Date.Format "02.01.2006" }}
<!--
{{ $lastmod := .Lastmod.Format "02.01.2006" }}
<p>Last updated: {{ .Lastmod.Format "02.01.2006" }}</p>
-->
{{ $lastmod := .Lastmod.Format "2006-01-02" }}
{{ if (ne $lastmod "0001-01-01") }}
<p>Last updated: {{ $lastmod }}</p>
{{ end }}
<!-- JWD - New publish status text dynamically pulled from status parameter if set - it not set dont render it -->
{{ if ( .Params.status )}}
<p>Status: <span class="status_{{ .Params.status }}">{{ .Params.status }}</span></p>
<p class="statusDescription"><span class="status_{{ .Params.status }}"><em>{{ .Params.statusDescription }}</em></span></p>
{{ end }}


               
                {{ if $subtitle }}
                  {{ if eq .Type "page" }}
                    <hr class="small">
                    <span class="{{ .Type }}-subheading">{{ $subtitle }}</span>
                  {{ else }}
                    <h2 class="{{ .Type }}-subheading">{{ $subtitle }}</h2>
                  {{ end }}
                {{ end }}
                {{ if eq .Type "post" }}
                  {{ partial "post_meta.html" . }}
                {{ end }}
               
                

                
            </div>
          </div>
        </div>
        
        <!-- previous status bits - hidden as replaced with new approach -->
        <!--
        <div class="row">
          <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
            <div class="blog-post">
              {{ if (and (.Params.status ) (ne .Params.status "Up-to-date")) }}
                <div class="notices warning"><p>
                  <b>{{ .Params.status }}</b>
                  <p>{{ .Params.statusDescription }}</p></p>
                </div>
              {{ end }}
            </div>
          </div>
        </div>
        -->
        <!-- end of previous status bits - hidden as replaced with new approach -->
        
      </div>
    </div>
  </header>
  
  {{ end }}
  <!-- end of JWD - Homepage condition check -->
  
{{ else }}
  <div class="intro-header"></div>
{{ end }}
